Package org.codehaus.groovy.runtime.dgmimpl.arrays

# Class LongArrayPutAtMetaMethod

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes
groovy.lang.MetaMethod
org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayPutAtMetaMethod
org.codehaus.groovy.runtime.dgmimpl.arrays.LongArrayPutAtMetaMethod

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class LongArrayPutAtMetaMethod
    extends ArrayPutAtMetaMethod

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

  `INTEGER_CLASS, INTEGER_CLASS_ARR`

  ### Fields inherited from class groovy.lang.MetaMethod

  `EMPTY_ARRAY`

  ### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `isVargsMethod, nativeParamTypes, parameterTypes`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LongArrayPutAtMetaMethod()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CallSite` | `createPojoCallSite​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params, java.lang.Object receiver, java.lang.Object[] args)` |
  `CachedClass` | `getDeclaringClass()` | Gets the class where this method is declared
  `java.lang.Object` | `invoke​(java.lang.Object object, java.lang.Object[] args)` | Invoke this method

  ### Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayPutAtMetaMethod

  `getName, getReturnType`

  ### Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

  `getModifiers, normaliseIndex`

  ### Methods inherited from class groovy.lang.MetaMethod

  `checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

  ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LongArrayPutAtMetaMethod

    public LongArrayPutAtMetaMethod()

- ## Method Details

  - ### getDeclaringClass

    public final CachedClass getDeclaringClass()
    Description copied from class: `MetaMethod`
    Gets the class where this method is declared
    Specified by:
      `getDeclaringClass` in class `MetaMethod`
    Returns:
      class of this method

  - ### invoke

    public java.lang.Object invoke​(java.lang.Object object, java.lang.Object[] args)
    Description copied from class: `MetaMethod`
    Invoke this method
    Specified by:
      `invoke` in class `MetaMethod`
    Parameters:
      `object` - The object this method should be invoked on
      `args` - The arguments for the method if applicable
    Returns:
      The return value of the invocation

  - ### createPojoCallSite

    public CallSite createPojoCallSite​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params, java.lang.Object receiver, java.lang.Object[] args)
    Specified by:
      `createPojoCallSite` in class `CallSiteAwareMetaMethod`